#include<iostream>
#include<cstdlib>
#include<vector>
using namespace std;
int main()
{
long long n;
long long k;
cin>>n;
vector<unsigned> a(n);
vector<unsigned> q(2*n+1);
cin>>k;
int br=0;
for(int i=0;i<n;i++)
cin>>a[i];
for(int j=0;j<2*n+2;j++)
q[j]=0;
for(int i=0;i<n;i++)
{
	for(int j=0;j<2*n+2;j++)
	{
		if(a[i]==j-n-1) q[j]++;
	}
}
for(int j=0;j<2*n+2;j++)
if(q[j]>k || q[j]==k) br++;
cout<<br<<" \n";
for(int j=0;j<2*n+2;j++)
if(q[j]>k || q[j]==k) cout<<j-n-1<< ' ';
return 0;
}